package com.ruoyi.web.controller.tool;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Objects;

public class ValidateMessage implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotBlank(message = "部门名称不能为空")
    private  String cid;
    @NotBlank(message = "appid不能为空")
    private String  appid;
    //加密后 授权码
    private  String authCode;



    //随机字符串
    private String clientKey;
    //请求id
    private String  reqid;


    public String getClientKey() {
        return clientKey;
    }

    public void setClientKey(String clientKey) {
        this.clientKey = clientKey;
    }

    public String getReqid() {
        return reqid;
    }

    public void setReqid(String reqid) {
        this.reqid = reqid;
    }

    public String getCid() {
        return cid;
    }

    public void setCid(String cid) {
        this.cid = cid;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    @Override
    public String toString() {
        return "ValidateMessage{" +
                "cid='" + cid + '\'' +
                ", appid='" + appid + '\'' +
                '}';
    }
}
